Bug 836400 - Review Request: jboss-classpool-scoped - A custom class pool for several JBoss products
Review Request: jboss-classpool-scoped - A custom class pool for several JBos...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 836403 837726
  Show dependency treegraph
 
Reported: 2012-06-28 20:17 EDT by Gerard Ryan
Modified: 2012-07-14 17:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-14 17:48:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerard Ryan 2012-06-28 20:17:57 EDT
Spec URL: http://galileo.fedorapeople.org/jboss-classpool-scoped/1.0.0-1/jboss-classpool-scoped.spec
SRPM URL: http://galileo.fedorapeople.org/jboss-classpool-scoped/1.0.0-1/jboss-classpool-scoped-1.0.0-1.fc17.src.rpm
Description:
A custom class pool for several JBoss products.

This is needed for jbossxb, which is needed for JBoss Tools.

Fedora Account System Username: galileo
Comment 1 Marek Goldmann 2012-07-05 06:15:44 EDT
I'll take this one.
Comment 2 Marek Goldmann 2012-07-05 06:25:30 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

0 packages and 1 specfiles checked; 0 errors, 1 warnings.
jboss-classpool-scoped.src: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-classpool-scoped.src: W: invalid-url Source0: jboss-classpool-scoped-1.0.0.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
jboss-classpool-scoped.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-classpool-scoped.noarch: W: no-documentation
jboss-classpool-scoped-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-classpool-scoped-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 4 warnings

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: LGPLv2+
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[!]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 454f2e5ad442c5573e95509bdf5be3e2
MD5SUM upstream package: ?

See issue #1.

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[!]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)

See issue #1.

[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4219511

=== Issues ===
1. How did you generate the sources? Please add the info to the spec.

=== Final Notes ===
1. Remove the dot from end of summary and this bug title.
2. Change the URL to: http://www.jboss.org/jbossreflect
3. Think about removing some of the unnecessary BuildRequires plugins.
Comment 3 Marek Goldmann 2012-07-05 06:26:32 EDT
I was wrong with the Summary in the spec file, please unify the Summary in spec and in the bug title.
Comment 4 Gerard Ryan 2012-07-05 11:46:31 EDT
Spec URL: http://galileo.fedorapeople.org/jboss-classpool-scoped/1.0.0-2/jboss-classpool-scoped.spec
SRPM URL: http://galileo.fedorapeople.org/jboss-classpool-scoped/1.0.0-2/jboss-classpool-scoped-1.0.0-2.fc17.src.rpm

1. How did you generate the sources? Please add the info to the spec.
DONE

1. Remove the dot from end of summary and this bug title.
DONE

2. Change the URL to: http://www.jboss.org/jbossreflect
DONE

3. Think about removing some of the unnecessary BuildRequires plugins.
DONE (I think only necessary ones remain at least)
Comment 5 Marek Goldmann 2012-07-06 02:39:18 EDT
Awesome, thank you!

================
*** APPROVED ***
================
Comment 6 Gerard Ryan 2012-07-06 08:01:49 EDT
New Package SCM Request
=======================
Package Name: jboss-classpool-scoped
Short Description: A custom class pool for several JBoss products
Owners: galileo
Branches: f17
InitialCC:
Comment 7 Gwyn Ciesla 2012-07-06 09:22:30 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-07-06 11:09:13 EDT
jboss-classpool-scoped-1.0.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-classpool-scoped-1.0.0-2.fc17
Comment 9 Fedora Update System 2012-07-06 17:28:44 EDT
jboss-classpool-scoped-1.0.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-07-14 17:48:09 EDT
jboss-classpool-scoped-1.0.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.